Create a new Order

Create a new Order associated to the storeId. The returned value will be the id of the created order.

App Scope
ChannelPosRiderLoyalty
✔️✖️✖️✖️
Path Params
string
required

The id of the Store in which you want to create the Order

Body Params
channel
object
required

It is an object containing the relevant information of the channel that is creating the Order

string
required

The date and time the Order was created

items
array of objects
required

The list of Products of the Order

items*
int32
required

Only the sum of all Products and Modifiers free from promotions

boolean

Indicates whether an Order is immediate (true) or deferred (false)

string

This field is required if the value of the asap field is false. Indicates when the place is to start preparing the Order

string

This field is required if the value of the asap field is false. Indicates the time suggested to the repartidor to go to retrieve the Order

string

Indicates the estimated time in which the Order will be delivered to the final customer

string
enum

The currency value of the Order

string

The timezone in which the Order is executed

priceDetails
object

Add all extra costs to this object

address
object

This field is required if the value of the fulfillment.type field is not takeaway or order-at-table. An object that represents an address

client
object
required

An object that represent a Client

string

The customer's comment for the rider

string

The customer's comment for the kitchen

fulfillment
object
required

Indicate who must deliver the Order

payment
object
required

Indicates the type of payment associated with the Order

promotions
array of objects

The list of promotions applied to the entire order

promotions
billing
object
required

This object is dedicated to the information necessary for electronic invoicing

tableDetails
object

This field is required if the value of the fulfillment.type field is order-at-table. An object that represents a table

Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json